### Class

# Atk Misc

#### Description [src]

    class Atk.Misc : GObject.Object
    {
      /* No available fields */
    }

A set of ATK utility functions for thread locking

A set of utility functions for thread locking. This interface and all his related methods are deprecated since 2.12.

#### Ancestors

- GObject

#### Functions

###### atk_misc_get_instance

Obtain the singleton instance of AtkMisc for this application.

deprecated: Unknown since: 1.13

#### Instance methods

###### atk_misc_threads_enter

Take the thread mutex for the GUI toolkit, if one exists. (This method is implemented by the toolkit ATK implementation layer; for instance, for GTK+, GAIL implements this via GDK_THREADS_ENTER).

deprecated: Unknown since: 1.13

###### atk_misc_threads_leave

Release the thread mutex for the GUI toolkit, if one exists. This method, and atk_misc_threads_enter, are needed in some situations by threaded application code which services ATK requests, since fulfilling ATK requests often requires calling into the GUI toolkit. If a long-running or potentially blocking call takes place inside such a block, it should be bracketed by atk_misc_threads_leave/atk_misc_threads_enter calls. (This method is implemented by the toolkit ATK implementation layer; for instance, for GTK+, GAIL implements this via GDK_THREADS_LEAVE).

deprecated: Unknown since: 1.13

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtkMiscClass {
      GObjectClass parent;
      void (* threads_enter) (
        AtkMisc* misc
      );
      void (* threads_leave) (
        AtkMisc* misc
      );
      gpointer vfuncs;

    }

Usage of AtkMisc is deprecated since 2.12 and heavily discouraged.

###### Class members

`parent: GObjectClass`

  No description available.

`threads_enter: void (* threads_enter) ( AtkMisc* misc )`

  This virtual function is deprecated since 2.12 and it should not be overriden.

`threads_leave: void (* threads_leave) ( AtkMisc* misc )`

  This virtual function is deprecated sice 2.12 and it should not be overriden.

`vfuncs: gpointer`

  No description available.

#### Virtual methods

###### Atk.MiscClass.threads_enter

Take the thread mutex for the GUI toolkit, if one exists. (This method is implemented by the toolkit ATK implementation layer; for instance, for GTK+, GAIL implements this via GDK_THREADS_ENTER).

deprecated: Unknown since: 1.13

###### Atk.MiscClass.threads_leave

Release the thread mutex for the GUI toolkit, if one exists. This method, and atk_misc_threads_enter, are needed in some situations by threaded application code which services ATK requests, since fulfilling ATK requests often requires calling into the GUI toolkit. If a long-running or potentially blocking call takes place inside such a block, it should be bracketed by atk_misc_threads_leave/atk_misc_threads_enter calls. (This method is implemented by the toolkit ATK implementation layer; for instance, for GTK+, GAIL implements this via GDK_THREADS_LEAVE).

deprecated: Unknown since: 1.13